=== debian/changelog ===
genres (0.9.3) unstable; urgency=low

  * rotate, miroor an flip parameters are implemented for simple transformation of the video
    using mplayer filters, rotation is possible to 90, 180 and 270 degree clockwise

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail.com>  Thu, 10 Aug 2006 13:37:30 +0500

genres (0.9.2) unstable; urgency=low

  * background color for the object can be selected in the config file to black, white or mozilla default;
    see doc/genres.conf
  * added documentation to the package: doc/genres.conf, README.eo.html

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail.com>  Sun, 14 May 2006 01:22:16 +0500

genres (0.9.1) unstable; urgency=low

  * file descriptor leak fixed

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail.com>  Wed, 10 May 2006 14:32:06 +0500

genres (0.9.0) unstable; urgency=low

  * string analyse in the plugin reordered
  * plugin config files ~/.mozilla/genres/genres.conf or /etc/genres.conf are supported
  * new config parameter "debuglevel" (now is only two debug levels)
    javascript control for debug level is temporary disabled
  * support for mozilla streams and cache (for src="http|https|ftp...")
  * new config parameter "mozillastreams"
  * pass config parameters to environment variables "GENRES_DEBUGLEVEL" and "GENRES_MOZILLA_STREAMS"
  * add empty printing function to avoid crash on print.

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail.com>  Thu, 27 Apr 2006 01:29:23 +0500

genres (0.8.11) unstable; urgency=low

  * added marker for end of startup parameters ".\n"
    to prevent player autostart before all parameters accepted by perl script
  * a bug fixed : run=0; run=1 sequence ceased to work
  * framestep, filepos can be seted in tag parameters

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Sun, 09 Apr 2006 00:46:41 +0500

genres (0.8.10) unstable; urgency=low

  * support for "autostart" property - start playing when src changed
  * a bug were fixed with dynamic relative url

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Wed, 29 Mar 2006 00:54:59 +0500

genres (0.8.9) unstable; urgency=low

  * Timeout and mplayer cache is depended of type of url
  * New mime types were added for video and audio supported by mplayer (grabbed from Plugger)
  * Cache filling progress bar were added 

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Sun, 26 Mar 2006 15:27:55 +0500

genres (0.8.8) unstable; urgency=low

  * Compatibility with Firefox/1.5.0.1
  * Some null pointer dereferences prevented

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Thu, 23 Mar 2006 00:56:54 +0400

genres (0.8.7) unstable; urgency=low

  * debug output cleanup
  * dependency cleanup
  * Release number substitution automated
  * ElphelOgm 0.9.5 interactive mode supported

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Sun, 19 Mar 2006 23:18:20 +0400

genres (0.8.6) unstable; urgency=low

  * Mime type application/x-elphel-ogm is added for rtp receiving with ElphelOgm.
  * Some checks added in queue code.

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Wed, 15 Mar 2006 23:21:15 +0400

genres (0.8.5) unstable; urgency=low

  * New control commands: filepos & framestep
  * Some checks and flags in compilation

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Sun, 26 Feb 2006 13:45:06 +0400

genres (0.8.4) unstable; urgency=low

  * Support for frame skiping with ElphelOgm only for rtp url
  * Added run=0 message when user cancel file selection for recording

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Tue, 21 Feb 2006 20:12:53 +0400

genres (0.8.3) unstable; urgency=low

  * Support for FireFox 1.5x
  * Support for javascript objects created with document.createElement('object')
    (it is not supported by firefox 1.0.7 or older).
  * Add control for debug output

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Mon, 13 Feb 2006 20:18:36 +0400

genres (0.8.2) unstable; urgency=low

  * A bug with lossing of property values when slave is restarted is fixed again :-)
  * Support for multicast rtp/mjpeg view&record with use of ElphelOgm tool
    (dynamic src changing is not yet supported for rtp, use run=0; src=... ; run=1;)
  * autocange suffixes ogm<->avi

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Tue, 07 Feb 2006 16:42:52 +0400

genres (0.8.1) unstable; urgency=low

  * A bug with usage of closed thread is fixed
  * A bug with lossing of property values when slave is restarted is fixed
  * Support for multicast rtp/mjpeg is beginned with use of ElphelOgm tool

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Sat, 04 Feb 2006 01:19:58 +0400

genres (0.8.0) unstable; urgency=low

  * Name of the JS variable with message about current frame is unified to "frame"
  * recognition for message from mplayer about playing url
  * support for change of src or href parameter without mplayer process restarting
  * support for sequences of run=0;run=1 which can be used to restart player

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Thu, 02 Feb 2006 03:19:02 +0400

genres (0.7.3) unstable; urgency=high

  * Security fix (shell command injection)

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Sun, 04 Dec 2005 11:26:49 +0400

genres (0.7.2) unstable; urgency=low

  * Minor bug fix Release.
    - watchdog for mplayer now works in linux 2.4 and 2.6 (mplayer.pl)
 

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Fri, 11 Nov 2005 13:46:44 +0400

genres (0.7.1) unstable; urgency=low

  * Minor bug fix Release.
    - changed link to project page
    - a bug in the watchdog was fixed
    - mozilla-conf path autodetection bug was fixed
 

 -- Sergey Khlutchin <Sergey dot Khlutchin at gmail com>  Wed, 09 Nov 2005 00:37:19 +0400

genres (0.7) unstable; urgency=low

  * First Debian Release.
  * Bug fixes:
    - make dir for config file
    - with save=auto parameter
    - buffer overflow possibility

