=== debian/control ===
Source: genres
Section: web
Priority: optional
Maintainer: Sergey Khlutchin <Sergey dot Khlutchin at gmail com>
Build-Depends: debhelper (>= 4.0.0), mozilla-dev (>=1.7.5)
Standards-Version: 3.6.1

Package: genres
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libgtk2-perl, mozilla-browser(>=1.7.5) | mozilla-firefox(>=1.0), mplayer
Suggests: elphel-ogm(>=0.9.5)
Description: Generic reconfigurable scriptable plugin for Mozilla/Firefox
 GenReS is a generic reconfigurable scriptable plugin for Mozilla/Firefox.
 It allows to use external programs for EMBED or OBJECT HTML tags.
 The plugin is supplied with a Perl script for embedding mplayer and mencoder
 in a browser and controlling it with Javascript. It allows to watch video and
 to record it to set of files. Manipulations with object variables in JavaScript
 are translated to a Perl program. Status messages from the controlled program
 (mplayer or mencoder) are translated back to Javascript object variables,
 and Javascript functions are called for notifications.
